Analytics overview
curl --request GET \
--url https://api.zeroclick.io/v1/analytics/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"analytics": {
"days": 123,
"transactions": 123,
"previousTransactions": 123,
"revenueUsd": "<string>",
"previousRevenueUsd": "<string>",
"attempts": 123,
"successRate": 123,
"previousSuccessRate": 123,
"lifetimeRevenueUsd": "<string>",
"lifetimeTransactions": 123,
"trialActivations": 123,
"previousTrialActivations": 123,
"lifetimeTrialActivations": 123,
"trialActivationsByDay": [
{
"date": "<string>",
"activations": 123
}
],
"trialCalls": 123,
"previousTrialCalls": 123,
"trialUsageUsd": "<string>",
"previousTrialUsageUsd": "<string>",
"trialCallsByDay": [
{
"date": "<string>",
"calls": 123,
"usageUsd": "<string>"
}
],
"included": {
"calls": 123,
"previousCalls": 123,
"valueUsd": "<string>",
"previousValueUsd": "<string>"
},
"buyers": {
"total": 123,
"repeat": 123,
"previousTotal": 123
},
"calls": {
"total": 123,
"delivered": 123,
"previousTotal": 123,
"previousDelivered": 123
},
"previousWindowAvailable": true,
"paymentMethods": {
"x402_wallet": 123,
"mpp_wallet": 123,
"agent_card": 123,
"human_card": 123,
"free_trial": 123,
"unknown": 123
},
"revenueByDay": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
],
"attemptsByDay": [
{
"date": "<string>",
"attempts": 123
}
],
"callsByDay": [
{
"date": "<string>",
"calls": 123,
"delivered": 123
}
],
"recentTransactions": [
{
"id": "<string>",
"kind": "purchase",
"status": "challenge_created",
"paymentMethod": "x402_wallet",
"amountUsd": "<string>",
"network": "<string>",
"protocol": "<string>",
"createdAt": "<string>",
"verifiedAt": "<string>",
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"service": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"plan": {
"id": "<string>",
"name": "<string>"
},
"agent": {
"id": "<string>",
"walletAddress": "<string>"
}
}
],
"topSellers": [
{
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"transactions": 123,
"revenueUsd": "<string>"
}
]
}
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Analytics
Analytics overview
Aggregates transactions (paid plus free-trial calls), revenue, buyers, capability-call delivery, payment methods, included units, and top services for the authenticated organization. days is a window ending today or all.
GET
/
v1
/
analytics
/
overview
Analytics overview
curl --request GET \
--url https://api.zeroclick.io/v1/analytics/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"analytics": {
"days": 123,
"transactions": 123,
"previousTransactions": 123,
"revenueUsd": "<string>",
"previousRevenueUsd": "<string>",
"attempts": 123,
"successRate": 123,
"previousSuccessRate": 123,
"lifetimeRevenueUsd": "<string>",
"lifetimeTransactions": 123,
"trialActivations": 123,
"previousTrialActivations": 123,
"lifetimeTrialActivations": 123,
"trialActivationsByDay": [
{
"date": "<string>",
"activations": 123
}
],
"trialCalls": 123,
"previousTrialCalls": 123,
"trialUsageUsd": "<string>",
"previousTrialUsageUsd": "<string>",
"trialCallsByDay": [
{
"date": "<string>",
"calls": 123,
"usageUsd": "<string>"
}
],
"included": {
"calls": 123,
"previousCalls": 123,
"valueUsd": "<string>",
"previousValueUsd": "<string>"
},
"buyers": {
"total": 123,
"repeat": 123,
"previousTotal": 123
},
"calls": {
"total": 123,
"delivered": 123,
"previousTotal": 123,
"previousDelivered": 123
},
"previousWindowAvailable": true,
"paymentMethods": {
"x402_wallet": 123,
"mpp_wallet": 123,
"agent_card": 123,
"human_card": 123,
"free_trial": 123,
"unknown": 123
},
"revenueByDay": [
{
"date": "<string>",
"revenueUsd": "<string>",
"transactions": 123,
"buyers": 123
}
],
"attemptsByDay": [
{
"date": "<string>",
"attempts": 123
}
],
"callsByDay": [
{
"date": "<string>",
"calls": 123,
"delivered": 123
}
],
"recentTransactions": [
{
"id": "<string>",
"kind": "purchase",
"status": "challenge_created",
"paymentMethod": "x402_wallet",
"amountUsd": "<string>",
"network": "<string>",
"protocol": "<string>",
"createdAt": "<string>",
"verifiedAt": "<string>",
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"service": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"plan": {
"id": "<string>",
"name": "<string>"
},
"agent": {
"id": "<string>",
"walletAddress": "<string>"
}
}
],
"topSellers": [
{
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"transactions": 123,
"revenueUsd": "<string>"
}
]
}
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Authorizations
API key created in the ZeroClick dashboard under Settings → API keys. Keys start with zc_. Send them as Authorization: Bearer zc_....
Query Parameters
Available options:
all Minimum string length:
1Minimum string length:
1Available options:
include Available options:
include Response
Default Response
Show child attributes
Show child attributes